Class | Nokogiri::HTML::SAX::Parser
In: | lib/nokogiri/ffi/html/sax/parser.rb lib/nokogiri/html/sax/parser.rb ext/nokogiri/html_sax_parser.c
Parent: | XML::SAX::Parser

Nokogiri::HTML::SAX::Parser is used for parsing HTML with SAX callbacks.

### Methods

native_parse_file native_parse_memory parse_file parse_memory

### Public Instance methods

native_parse_file(data, encoding)

Parse `data` with `encoding`

native_parse_memory(data, encoding)

Parse `data` with `encoding`

parse_file(filename, encoding = 'UTF-8')

Parse a file with `filename`

parse_memory(data, encoding = 'UTF-8')

Parse html stored in `data` using `encoding`

[Validate]